set ns [new Simulator]

set nf [open test1.nam w]
$ns namtrace-all $nf

proc finish {} {
	global ns nf
	$ns flush-trace
	close $nf
	exit 0
}

set n0 [$ns node]
set n1 [$ns node]
$ns duplex-link $n0 $n1 1Mb 10ms DropTail

set udp0 [new Agent/UDP]
set null [new Agent/Null]
$ns attach-agent $n0 $udp0
$ns attach-agent $n1 $null
$ns connect $udp0 $null

set src [new Application/Traffic/CBR]
$src set packetsize_ 500
$src set interval_ 0.005
$src attach-agent $udp0

$ns at 0.5 "$src start"
$ns at 4.5 "$src stop"
$ns at 8.0 "finish"

$ns run